apt: BufferedWriteFileFdPrivate Class Reference

apt 2.9.8 commandline package manager

Public Member Functions | Protected Attributes | List of all members
BufferedWriteFileFdPrivate Class Reference
Inheritance diagram for BufferedWriteFileFdPrivate:

## Public Member Functions
| BufferedWriteFileFdPrivate (FileFdPrivate *Priv)
virtual APT::Configuration::Compressor | get_compressor () const APT_OVERRIDE
virtual void | set_compressor (APT::Configuration::Compressor const &compressor) APT_OVERRIDE
virtual unsigned int | get_openmode () const APT_OVERRIDE
virtual void | set_openmode (unsigned int openmode) APT_OVERRIDE
virtual bool | get_is_pipe () const APT_OVERRIDE
virtual void | set_is_pipe (bool is_pipe) APT_OVERRIDE
virtual unsigned long long | get_seekpos () const APT_OVERRIDE
virtual void | set_seekpos (unsigned long long seekpos) APT_OVERRIDE
virtual bool | InternalOpen (int const iFd, unsigned int const Mode) APT_OVERRIDE
virtual ssize_t | InternalUnbufferedRead (void *const To, unsigned long long const Size) APT_OVERRIDE
virtual bool | InternalReadError () APT_OVERRIDE
virtual char * | InternalReadLine (char *To, unsigned long long Size) APT_OVERRIDE
virtual bool | InternalFlush () APT_OVERRIDE
virtual ssize_t | InternalWrite (void const *const From, unsigned long long const Size) APT_OVERRIDE
virtual bool | InternalWriteError () APT_OVERRIDE
virtual bool | InternalSeek (unsigned long long const To) APT_OVERRIDE
virtual bool | InternalSkip (unsigned long long Over) APT_OVERRIDE
virtual bool | InternalTruncate (unsigned long long const Size) APT_OVERRIDE
virtual unsigned long long | InternalTell () APT_OVERRIDE
virtual unsigned long long | InternalSize () APT_OVERRIDE
virtual bool | InternalClose (std::string const &FileName) APT_OVERRIDE
virtual bool | InternalAlwaysAutoClose () const APT_OVERRIDE
Public Member Functions inherited from FileFdPrivate
| FileFdPrivate (FileFd *const pfilefd)
virtual APT::Configuration::Compressor | get_compressor () const
virtual void | set_compressor (APT::Configuration::Compressor const &compressor)
virtual unsigned int | get_openmode () const
virtual void | set_openmode (unsigned int openmode)
virtual bool | get_is_pipe () const
virtual void | set_is_pipe (bool is_pipe)
virtual unsigned long long | get_seekpos () const
virtual void | set_seekpos (unsigned long long seekpos)
virtual bool | InternalOpen (int const iFd, unsigned int const Mode)=0
ssize_t | InternalRead (void *To, unsigned long long Size)
virtual ssize_t | InternalUnbufferedRead (void *const To, unsigned long long const Size)=0
virtual bool | InternalReadError ()
virtual char * | InternalReadLine (char *To, unsigned long long Size)
virtual bool | InternalFlush ()
virtual ssize_t | InternalWrite (void const *const From, unsigned long long const Size)=0
virtual bool | InternalWriteError ()
virtual bool | InternalSeek (unsigned long long const To)
virtual bool | InternalSkip (unsigned long long Over)
virtual bool | InternalTruncate (unsigned long long const)
virtual unsigned long long | InternalTell ()
virtual unsigned long long | InternalSize ()
virtual bool | InternalClose (std::string const &FileName)=0
virtual bool | InternalStream () const
virtual bool | InternalAlwaysAutoClose () const

## Protected Attributes
FileFdPrivate * | wrapped
simple_buffer | writebuffer
Protected Attributes inherited from FileFdPrivate
FileFd *const | filefd
simple_buffer | buffer
int | compressed_fd
pid_t | compressor_pid
bool | is_pipe
APT::Configuration::Compressor | compressor
unsigned int | openmode
unsigned long long | seekpos

## Member Function Documentation

## ◆ get_compressor()

virtual APT::Configuration::Compressor get_compressor | ( |  | ) | const
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ get_is_pipe()

virtual bool get_is_pipe | ( |  | ) | const
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ get_openmode()

virtual unsigned int get_openmode | ( |  | ) | const
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ get_seekpos()

virtual unsigned long long get_seekpos | ( |  | ) | const
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalAlwaysAutoClose()

virtual bool InternalAlwaysAutoClose | ( |  | ) | const
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalClose()

virtual bool InternalClose | ( | std::string const & | FileName | ) |
| inlinevirtual

Implements FileFdPrivate.

## ◆ InternalFlush()

virtual bool InternalFlush | ( |  | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalOpen()

virtual bool InternalOpen | ( | int const | iFd,
|  | unsigned int const | Mode
| ) |  |
| inlinevirtual

Implements FileFdPrivate.

## ◆ InternalReadError()

virtual bool InternalReadError | ( |  | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalReadLine()

virtual char * InternalReadLine | ( | char * | To,
|  | unsigned long long | Size
| ) |  |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalSeek()

virtual bool InternalSeek | ( | unsigned long long const | To | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalSize()

virtual unsigned long long InternalSize | ( |  | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalSkip()

virtual bool InternalSkip | ( | unsigned long long | Over | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalTell()

virtual unsigned long long InternalTell | ( |  | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalTruncate()

virtual bool InternalTruncate | ( | unsigned long long const | Size | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ InternalUnbufferedRead()

virtual ssize_t InternalUnbufferedRead | ( | void *const | To,
|  | unsigned long long const | Size
| ) |  |
| inlinevirtual

Implements FileFdPrivate.

## ◆ InternalWrite()

virtual ssize_t InternalWrite | ( | void const *const | From,
|  | unsigned long long const | Size
| ) |  |
| inlinevirtual

Implements FileFdPrivate.

## ◆ InternalWriteError()

virtual bool InternalWriteError | ( |  | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ set_compressor()

virtual void set_compressor | ( | APT::Configuration::Compressor const & | compressor | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ set_is_pipe()

virtual void set_is_pipe | ( | bool | is_pipe | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ set_openmode()

virtual void set_openmode | ( | unsigned int | openmode | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

## ◆ set_seekpos()

virtual void set_seekpos | ( | unsigned long long | seekpos | ) |
| inlinevirtual

Reimplemented from FileFdPrivate.

The documentation for this class was generated from the following file:

- apt-pkg/contrib/fileutl.cc